#include <LittleRobotFriends.h>

LRFExpression myExpression =
{
  .pattern = { LRFColor_Green, LRFColor_Purple, LRFTransform_Boomerang, LRFDuration_DoubleLong },
  .sounds = {
    { LRFNote_C, LRFOctave_3, LRFIntonation_Flat, LRFDuration_DoubleLong, LRFDuration_Medium },
    { LRFNote_C, LRFOctave_3, LRFIntonation_Rising, LRFDuration_DoubleLong, LRFDuration_Medium },
    { LRFNote_C, LRFOctave_3, LRFIntonation_Falling, LRFDuration_DoubleLong, LRFDuration_Medium },
    { LRFNote_C, LRFOctave_3, LRFIntonation_Peaking, LRFDuration_DoubleLong, LRFDuration_Medium }
  }
};


void myTapHandler(LRFEvent event)
{
  lrf.blinkAndSay(&myExpression); 
  
}

void setup()
{
  // set up our library
  
  lrf.setup();

  // set an event handler for when we hug our hair
  lrf.setEventHandler(LRFEvent_Hug, myTapHandler);
  
}

void loop()
{
  // run our library loop
  lrf.loop();

}
  
